Subject: Any more info on problems with pine 3.95 and Solaris 2.x?

From: [email-masked] (R. Stewart Ellis)
Date: 27 Oct 1996 15:59:11 GMT

In addition to being the webmaster of GMI, I am responsible for the
installation of almost all the free software on our Sun systems, including
netscape, pine, elm, nn and tin among hundreds of others.

It seems like once a week someone posts with a problem using pine 3.95 with
Solaris 2.x, where x usually equals 5.  The only constructive suggestions I
have seen are the patch that was posted here, with some caveats, on Sept.
4.  There have been enough statements about 2.x where x<5 that I have been
nervous about upgrading from Pine 3.91, about which I get zero complaints
from hundreds of daily users, to 3.95 which has some additional
functionality that I would like to have (only one user has explicitly
requested that I upgrade).  Up to now it has not been much of an issue
because most of our public use SPARCs run Sol 2.4, but we are staging to
upgrade our 4/690 server running Sol 2.4, where most of the users run pine,
and when the UltraSPARC server comes in we will install the latest version
of Solaris (probably 2.5.1 Web) on it and on all the public use
SPARCstations except for a few SS10's that have the EOL framebuffers in them.

I really need more information than has been forthcoming about the problem.
I really hate to stay down rev on pine, but at least the few zombies I get
are not unkillable as has been reported with 3.95 on Sol 2.5.  Mark Crispin
I believe has said something about it being a bug in the Solaris 2.5 streams
code, but aside from the very unofficial patch of 9/4/96, and some
discussion about changed includes and system calls in 2.5, there have been no
constructive discussions.

Since some questions have not been answered in the newsgroup, I almost get
the impression they are being handled offline and out of sight.  What is the
state of understanding and workarounds or patches?

-- 
  R.Stewart(Stew) Ellis, Assoc.Prof., (Off)810-762-9765   ___________________
  Humanities & Social Science,  GMI Eng.& Mgmt.Inst. ()  /   _____  ______
  Flint, MI 48504    Free speech and free software!  /\ /        / /  /  / /
  Web admin:  http://www.gmi.edu/      [email-masked]   /________/ /  /  / /